Name: drone
Version: 1.10.1
Release: 1%{?dist}
Summary: Drone is a Container-Native, Continuous Delivery Platform
License: Apache
URL: https://drone.io/	
BuildRequires: golang
#Requires:


%description
Drone is a Continuous Delivery platform
built on Docker, written in Go.


%package server
Summary:     Documentation files for %{name}
Group:       Documentation
%description server
Drone CI Server instance


%package agent
Summary:     Agent for Drone Server
Group:       Agent
%description agent
Agent for the Drone CI Server


%package controller
Summary:     Controller for Drone Server
Group:       Controller
%description controller
Controller for the Drone CI Server


%package cli
Summary:     CLI for Drone Server
%description cli
CLI For Drone CI Server


%prep
%setup -q -T -c %{name}-%{version}
mkdir -p src/github.com/drone
cd src/github.com/drone
git clone https://github.com/drone/drone
git clone https://github.com/drone/drone-cli


%build
export GOPATH=`pwd`
export GO111MODULE=on
pushd src/github.com/drone/drone
git checkout v%{version}
export CGO_ENABLED=0
go build -v -tags "oss nolimit" -trimpath -ldflags "-X main.version=%{version} -s -w -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')" -o drone-server github.com/drone/drone/cmd/drone-server
go build -v -trimpath -ldflags "-X main.version=%{version} -s -w -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')" -o drone-agent github.com/drone/drone/cmd/drone-agent
go build -v -trimpath -ldflags "-X main.version=%{version} -s -w -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')" -o drone-controller github.com/drone//drone/cmd/drone-controller
popd
pushd src/github.com/drone/drone-cli
go build -v -trimpath -ldflags "-X main.version=%{version} -s -w -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \n')" -o drone-cli github.com/drone/drone-cli/drone
popd


%install
mkdir -p %{buildroot}%{_bindir}
cp -v src/github.com/drone/drone/drone-server %{buildroot}%{_bindir}
cp -v src/github.com/drone/drone/drone-agent %{buildroot}%{_bindir}
cp -v src/github.com/drone/drone/drone-controller %{buildroot}%{_bindir}
cp -v src/github.com/drone/drone-cli/drone-cli %{buildroot}%{_bindir}


%files


%files server
%{_bindir}/drone-server


%files agent
%{_bindir}/drone-agent


%files controller
%{_bindir}/drone-controller


%files cli
%{_bindir}/drone-cli


%changelog
